/*
 * This file is part of the coreboot project.
 * 
 * Copyright (C) 2007-2008 coresystems GmbH
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; version 2 of
 * the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301 USA
 */

DefinitionBlock ("DSDT", "DSDT", 1, "986LCD", "COREBOOT", 0x0000001)
{
    Scope (\_PR)
    {
        Processor (CPU1, 0x01, 0x00000810, 0x06)
        {
            OperationRegion (STBL, SystemMemory, 0xFFFF0000, 0xFFFF)
            Name (NCPU, 0x80)
            Name (TYPE, 0x80000000)
            Name (HNDL, 0x80000000)
            Name (CFGD, 0x80000000)
            Name (TBLD, 0x80)
            Method (_PDC, 1, NotSerialized)
            {
            }
        }
    }

    Scope (\_PR)
    {
        Processor (CPU2, 0x02, 0x00000000, 0x00)
        {
            OperationRegion (STBL, SystemMemory, 0xFFFF0000, 0xFFFF)
            Name (NCPU, 0x80)
            Name (TYPE, 0x80000000)
            Name (HNDL, 0x80000000)
            Name (CFGD, 0x80000000)
            Name (TBLD, 0x80)
            Method (_PDC, 1, NotSerialized)
            {
            }
        }
    }

    Name (PICM, 0x00)
    Method (_PIC, 1, NotSerialized)
    {
        Store (Arg0, PICM)
    }

    Scope (\_SB)
    {
        Name (PR00, Package (0x12)
        {
            Package (0x04) { 0x0001FFFF, 0x00, LNKA, 0x00 }, 
            Package (0x04) { 0x0001FFFF, 0x01, LNKB, 0x00 }, 
            Package (0x04) { 0x0001FFFF, 0x02, LNKC, 0x00 }, 
            Package (0x04) { 0x0001FFFF, 0x03, LNKD, 0x00 }, 
            Package (0x04) { 0x001FFFFF, 0x00, LNKC, 0x00 }, 
            Package (0x04) { 0x001FFFFF, 0x01, LNKD, 0x00 }, 
            Package (0x04) { 0x001DFFFF, 0x00, LNKH, 0x00 }, 
            Package (0x04) { 0x001DFFFF, 0x01, LNKD, 0x00 }, 
            Package (0x04) { 0x001DFFFF, 0x02, LNKC, 0x00 }, 
            Package (0x04) { 0x001DFFFF, 0x03, LNKA, 0x00 }, 
            Package (0x04) { 0x001EFFFF, 0x00, LNKB, 0x00 }, 
            Package (0x04) { 0x001EFFFF, 0x01, LNKE, 0x00 }, 
            Package (0x04) { 0x001BFFFF, 0x00, LNKA, 0x00 }, 
            Package (0x04) { 0x001CFFFF, 0x00, LNKA, 0x00 }, 
            Package (0x04) { 0x001CFFFF, 0x01, LNKB, 0x00 }, 
            Package (0x04) { 0x001CFFFF, 0x02, LNKC, 0x00 }, 
            Package (0x04) { 0x001CFFFF, 0x03, LNKD, 0x00 }, 
            Package (0x04) { 0x0002FFFF, 0x00, LNKA, 0x00 }
        })
        Name (AR00, Package (0x12)
        {
            Package (0x04) { 0x0001FFFF, 0x00, 0x00, 0x10 }, 
            Package (0x04) { 0x0001FFFF, 0x01, 0x00, 0x11 }, 
            Package (0x04) { 0x0001FFFF, 0x02, 0x00, 0x12 }, 
            Package (0x04) { 0x0001FFFF, 0x03, 0x00, 0x13 }, 
            Package (0x04) { 0x001FFFFF, 0x00, 0x00, 0x12 }, 
            Package (0x04) { 0x001FFFFF, 0x01, 0x00, 0x13 }, 
            Package (0x04) { 0x001DFFFF, 0x00, 0x00, 0x17 }, 
            Package (0x04) { 0x001DFFFF, 0x01, 0x00, 0x13 }, 
            Package (0x04) { 0x001DFFFF, 0x02, 0x00, 0x12 }, 
            Package (0x04) { 0x001DFFFF, 0x03, 0x00, 0x10 }, 
            Package (0x04) { 0x001EFFFF, 0x00, 0x00, 0x11 }, 
            Package (0x04) { 0x001EFFFF, 0x01, 0x00, 0x14 }, 
            Package (0x04) { 0x001BFFFF, 0x00, 0x00, 0x10 }, 
            Package (0x04) { 0x001CFFFF, 0x00, 0x00, 0x10 }, 
            Package (0x04) { 0x001CFFFF, 0x01, 0x00, 0x11 }, 
            Package (0x04) { 0x001CFFFF, 0x02, 0x00, 0x12 }, 
            Package (0x04) { 0x001CFFFF, 0x03, 0x00, 0x13 }, 
            Package (0x04) { 0x0002FFFF, 0x00, 0x00, 0x10 }
        })
        Name (PR01, Package (0x1D)
        {
            Package (0x04) { 0xFFFF, 0x00, LNKA, 0x00 }, 
            Package (0x04) { 0x0001FFFF, 0x00, LNKE, 0x00 }, 
            Package (0x04) { 0x0001FFFF, 0x01, LNKF, 0x00 }, 
            Package (0x04) { 0x0001FFFF, 0x02, LNKG, 0x00 }, 
            Package (0x04) { 0x0001FFFF, 0x03, LNKH, 0x00 }, 
            Package (0x04) { 0x0002FFFF, 0x00, LNKF, 0x00 }, 
            Package (0x04) { 0x0002FFFF, 0x01, LNKG, 0x00 }, 
            Package (0x04) { 0x0002FFFF, 0x02, LNKH, 0x00 }, 
            Package (0x04) { 0x0002FFFF, 0x03, LNKE, 0x00 }, 
            Package (0x04) { 0x0003FFFF, 0x00, LNKG, 0x00 }, 
            Package (0x04) { 0x0003FFFF, 0x01, LNKH, 0x00 }, 
            Package (0x04) { 0x0003FFFF, 0x02, LNKE, 0x00 }, 
            Package (0x04) { 0x0003FFFF, 0x03, LNKF, 0x00 }, 
            Package (0x04) { 0x0004FFFF, 0x00, LNKH, 0x00 }, 
            Package (0x04) { 0x0004FFFF, 0x01, LNKE, 0x00 }, 
            Package (0x04) { 0x0004FFFF, 0x02, LNKF, 0x00 }, 
            Package (0x04) { 0x0004FFFF, 0x03, LNKG, 0x00 }, 
            Package (0x04) { 0x0005FFFF, 0x00, LNKD, 0x00 }, 
            Package (0x04) { 0x0005FFFF, 0x01, LNKC, 0x00 }, 
            Package (0x04) { 0x0005FFFF, 0x02, LNKB, 0x00 }, 
            Package (0x04) { 0x0005FFFF, 0x03, LNKA, 0x00 }, 
            Package (0x04) { 0x0006FFFF, 0x00, LNKC, 0x00 }, 
            Package (0x04) { 0x0006FFFF, 0x01, LNKB, 0x00 }, 
            Package (0x04) { 0x0006FFFF, 0x02, LNKA, 0x00 }, 
            Package (0x04) { 0x0006FFFF, 0x03, LNKD, 0x00 }, 
            Package (0x04) { 0x0009FFFF, 0x00, LNKF, 0x00 }, 
            Package (0x04) { 0x0009FFFF, 0x01, LNKG, 0x00 }, 
            Package (0x04) { 0x0009FFFF, 0x02, LNKH, 0x00 }, 
            Package (0x04) { 0x0009FFFF, 0x03, LNKE, 0x00 }
	})
        Name (AR01, Package (0x1D)
        {
            Package (0x04) { 0xFFFF, 0x00, 0x00, 0x10 }, 
            Package (0x04) { 0x0001FFFF, 0x00, 0x00, 0x14 }, 
            Package (0x04) { 0x0001FFFF, 0x01, 0x00, 0x15 }, 
            Package (0x04) { 0x0001FFFF, 0x02, 0x00, 0x16 }, 
            Package (0x04) { 0x0001FFFF, 0x03, 0x00, 0x17 }, 
            Package (0x04) { 0x0002FFFF, 0x00, 0x00, 0x15 }, 
            Package (0x04) { 0x0002FFFF, 0x01, 0x00, 0x16 }, 
            Package (0x04) { 0x0002FFFF, 0x02, 0x00, 0x17 }, 
            Package (0x04) { 0x0002FFFF, 0x03, 0x00, 0x14 }, 
            Package (0x04) { 0x0003FFFF, 0x00, 0x00, 0x16 }, 
            Package (0x04) { 0x0003FFFF, 0x01, 0x00, 0x17 }, 
            Package (0x04) { 0x0003FFFF, 0x02, 0x00, 0x14 }, 
            Package (0x04) { 0x0003FFFF, 0x03, 0x00, 0x15 }, 
            Package (0x04) { 0x0004FFFF, 0x00, 0x00, 0x17 }, 
            Package (0x04) { 0x0004FFFF, 0x01, 0x00, 0x14 }, 
            Package (0x04) { 0x0004FFFF, 0x02, 0x00, 0x15 }, 
            Package (0x04) { 0x0004FFFF, 0x03, 0x00, 0x16 }, 
            Package (0x04) { 0x0005FFFF, 0x00, 0x00, 0x13 }, 
            Package (0x04) { 0x0005FFFF, 0x01, 0x00, 0x12 }, 
            Package (0x04) { 0x0005FFFF, 0x02, 0x00, 0x11 }, 
            Package (0x04) { 0x0005FFFF, 0x03, 0x00, 0x10 }, 
            Package (0x04) { 0x0006FFFF, 0x00, 0x00, 0x12 }, 
            Package (0x04) { 0x0006FFFF, 0x01, 0x00, 0x11 }, 
            Package (0x04) { 0x0006FFFF, 0x02, 0x00, 0x10 }, 
            Package (0x04) { 0x0006FFFF, 0x03, 0x00, 0x13 }, 
            Package (0x04) { 0x0009FFFF, 0x00, 0x00, 0x15 }, 
            Package (0x04) { 0x0009FFFF, 0x01, 0x00, 0x16 }, 
            Package (0x04) { 0x0009FFFF, 0x02, 0x00, 0x17 }, 
            Package (0x04) { 0x0009FFFF, 0x03, 0x00, 0x14 }
        })
        Name (PR04, Package (0x04)
        {
            Package (0x04) { 0xFFFF, 0x00, LNKA, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x01, LNKB, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x02, LNKC, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x03, LNKD, 0x00 }
        })
        Name (AR04, Package (0x04)
        {
            Package (0x04) { 0xFFFF, 0x00, 0x00, 0x10 }, 
            Package (0x04) { 0xFFFF, 0x01, 0x00, 0x11 }, 
            Package (0x04) { 0xFFFF, 0x02, 0x00, 0x12 }, 
            Package (0x04) { 0xFFFF, 0x03, 0x00, 0x13 }
        })
        Name (PR05, Package (0x01)
        {
            Package (0x04) { 0xFFFF, 0x00, LNKB, 0x00 }
        })
        Name (AR05, Package (0x01)
        {
            Package (0x04) { 0xFFFF, 0x00, 0x00, 0x11 }
        })
        Name (PR06, Package (0x01)
        {
            Package (0x04) { 0xFFFF, 0x00, LNKC, 0x00 }
        })
        Name (AR06, Package (0x01)
        {
            Package (0x04) { 0xFFFF, 0x00, 0x00, 0x12 }
        })
        Name (PR07, Package (0x04)
        {
            Package (0x04) { 0xFFFF, 0x00, LNKD, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x01, LNKA, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x02, LNKB, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x03, LNKC, 0x00 }
        })
        Name (AR07, Package (0x04)
        {
            Package (0x04) { 0xFFFF, 0x00, 0x00, 0x13 }, 
            Package (0x04) { 0xFFFF, 0x01, 0x00, 0x10 }, 
            Package (0x04) { 0xFFFF, 0x02, 0x00, 0x11 }, 
            Package (0x04) { 0xFFFF, 0x03, 0x00, 0x12 }
        })
        Name (PR08, Package (0x04)
        {
            Package (0x04) { 0xFFFF, 0x00, LNKA, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x01, LNKB, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x02, LNKC, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x03, LNKD, 0x00 }
        })
        Name (AR08, Package (0x04)
        {
            Package (0x04) { 0xFFFF, 0x00, 0x00, 0x10 }, 
            Package (0x04) { 0xFFFF, 0x01, 0x00, 0x11 }, 
            Package (0x04) { 0xFFFF, 0x02, 0x00, 0x12 }, 
            Package (0x04) { 0xFFFF, 0x03, 0x00, 0x13 }
        })
        Name (PR09, Package (0x04)
        {
            Package (0x04) { 0xFFFF, 0x00, LNKB, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x01, LNKC, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x02, LNKD, 0x00 }, 
            Package (0x04) { 0xFFFF, 0x03, LNKA, 0x00 }
        })
        Name (AR09, Package (0x04)
        {
            Package (0x04) { 0xFFFF, 0x00, 0x00, 0x11 }, 
            Package (0x04) { 0xFFFF, 0x01, 0x00, 0x12 }, 
            Package (0x04) { 0xFFFF, 0x02, 0x00, 0x13 }, 
            Package (0x04) { 0xFFFF, 0x03, 0x00, 0x10 }
        })

        Device (LNKA)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x01)
        }

        Device (LNKB)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x02)
        }

        Device (LNKC)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x03)
        }

        Device (LNKD)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x04)
        }

        Device (LNKE)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x05)
        }

        Device (LNKF)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x06)
        }

        Device (LNKG)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x07)
        }

        Device (LNKH)
        {
            Name (_HID, EisaId ("PNP0C0F"))
            Name (_UID, 0x08)
        }
    }

    Name (\_S0, Package (0x04)
    { 0x00, 0x00, 0x00, 0x00 })
    Name (\_S1, Package (0x04)
    { 0x01, 0x00, 0x00, 0x00 })
    Name (\_S3, Package (0x04)
    { 0x05, 0x00, 0x00, 0x00 })
    Name (\_S4, Package (0x04)
    { 0x06, 0x00, 0x00, 0x00 })
    Name (\_S5, Package (0x04)
    { 0x07, 0x00, 0x00, 0x00 })
}

